Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.knipp.rritoolkit
Class DenicConstants

    java.lang.Object
      de.knipp.rritoolkit.DenicConstants

    public class DenicConstants

extends java.lang.Object

this class contains various constants used in the context of RRI requests

Version:
  $Revision: 14936 $
Author:
  Klaus Malorny

Field Summary
`static java.lang.String` | `NS_CONTACT` the "contact" XML namespace
`static java.lang.String` | `NS_DNS_ENTRY` the "dnsentry" XML namespace
`static java.lang.String` | `NS_DOMAIN` the "domain" XML namespace
`static java.lang.String` | `NS_GLOBAL` the "global" XML namespace
`static java.lang.String` | `NS_MESSAGE` the "message" XML namespace
`static java.lang.String` | `NS_TXN` the "transaction" XML namespace
`static java.lang.String` | `NS_XSI` the XML Schema Instance namespace
`static java.lang.String` | `PREFIX_CONTACT` the typical prefix for the "contact" XML namespace
`static java.lang.String` | `PREFIX_DNS_ENTRY` the typical prefix for the "dnsentry" namespace
`static java.lang.String` | `PREFIX_DOMAIN` the typical prefix for the "domain" XML namespace
`static java.lang.String` | `PREFIX_GLOBAL` the typical prefix for the "global" XML namespace
`static java.lang.String` | `PREFIX_MESSAGE` the typical prefix for the "message" namespace
`static java.lang.String` | `PREFIX_TXN` the typical prefix for the "transaction" namespace
`static java.lang.String` | `PREFIX_XSI` the typical prefix for the XML Schema Instance namespace
`static java.lang.String` | `RRI_VERSION` the protocol version for the KV representation

Constructor Summary
`private` | `DenicConstants()` private constructor to prevent instantiation

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RRI_VERSION

    public static final java.lang.String RRI_VERSION

  the protocol version for the KV representation

  See Also:
    Constant Field Values

### NS_GLOBAL

    public static final java.lang.String NS_GLOBAL

  the "global" XML namespace

  See Also:
    Constant Field Values

### PREFIX_GLOBAL

    public static final java.lang.String PREFIX_GLOBAL

  the typical prefix for the "global" XML namespace

  See Also:
    Constant Field Values

### NS_DOMAIN

    public static final java.lang.String NS_DOMAIN

  the "domain" XML namespace

  See Also:
    Constant Field Values

### PREFIX_DOMAIN

    public static final java.lang.String PREFIX_DOMAIN

  the typical prefix for the "domain" XML namespace

  See Also:
    Constant Field Values

### NS_CONTACT

    public static final java.lang.String NS_CONTACT

  the "contact" XML namespace

  See Also:
    Constant Field Values

### PREFIX_CONTACT

    public static final java.lang.String PREFIX_CONTACT

  the typical prefix for the "contact" XML namespace

  See Also:
    Constant Field Values

### NS_TXN

    public static final java.lang.String NS_TXN

  the "transaction" XML namespace

  See Also:
    Constant Field Values

### PREFIX_TXN

    public static final java.lang.String PREFIX_TXN

  the typical prefix for the "transaction" namespace

  See Also:
    Constant Field Values

### NS_DNS_ENTRY

    public static final java.lang.String NS_DNS_ENTRY

  the "dnsentry" XML namespace

  See Also:
    Constant Field Values

### PREFIX_DNS_ENTRY

    public static final java.lang.String PREFIX_DNS_ENTRY

  the typical prefix for the "dnsentry" namespace

  See Also:
    Constant Field Values

### NS_MESSAGE

    public static final java.lang.String NS_MESSAGE

  the "message" XML namespace

  See Also:
    Constant Field Values

### PREFIX_MESSAGE

    public static final java.lang.String PREFIX_MESSAGE

  the typical prefix for the "message" namespace

  See Also:
    Constant Field Values

### NS_XSI

    public static final java.lang.String NS_XSI

  the XML Schema Instance namespace

  See Also:
    Constant Field Values

### PREFIX_XSI

    public static final java.lang.String PREFIX_XSI

  the typical prefix for the XML Schema Instance namespace

  See Also:
    Constant Field Values

Constructor Detail

### DenicConstants

    private DenicConstants()

  private constructor to prevent instantiation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH